import { ApiFacade } from './facade';
import Hermione from 'hermione';
import { Express } from 'express';
export interface ServerReadyData {
    url: string;
}
type HermioneWithGui = Hermione & {
    gui: ApiFacade;
};
export declare class Api {
    private _gui;
    static create<T extends Api>(this: new (hermione: HermioneWithGui) => T, hermione: HermioneWithGui): T;
    constructor(hermione: HermioneWithGui);
    initServer(server: Express): Promise<void>;
    serverReady(data: ServerReadyData): Promise<void>;
}
export {};
